package Klausur;

import static org.junit.jupiter.api.Assertions.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

class TestBaum {
	MyBaum<Integer> baum;
	
	@BeforeEach
	void setUp() throws Exception {
		baum = new MyBaum<>();
	}

	@Test
	void testaddMethode() {
		assertTrue(baum.add(30));
		assertFalse(baum.add(30));
		assertTrue(baum.add(40));
	}
	
	@Test
	void testContainsMethode() {
		baum.add(40);
		assertTrue(baum.contain(40));
	}

}
